package com.gic.haoban.manage.api.service.content.task;

import com.gic.api.base.commons.ServiceResponse;

/**
 * @Author MUSI
 * @Date 2023/3/19 8:31 PM
 * @Description
 * @Version
 * 企微群发消息处理任务
 **/
public interface QywxGroupMsgTaskApiService {


    /**
     * 查询企微群发消息结果
     * 10 分钟一次
     * @param params
     * @return
     */
    ServiceResponse<Void> groupMsgTaskJob(String params);

    /**
     * 处理客户触达日志明细
     * @param params
     * @return
     */
    ServiceResponse<Void> handlerTriggerCustomerDetailLog(String params);


    /**
     * 素材周报
     *  0 0 10 ? * MON
     *  或者 0 0 10 ? * 2
     *  每周一 10点
     *  基础侧不支持最后不是?的表达式 改为每天执行 然后判断今天是不是周一
     * @param params
     * @return
     */
    ServiceResponse<Void> handlerMaterialWeekReport(String params);

    /**
     * 素材月报
     * 0 0 10 1 * ?
     * @param params
     * @return
     */
    ServiceResponse<Void> handlerMaterialMonthReport(String params);

    /**
     * 处理单成员素材使用周报/月报
     * @param params
     * @return
     */
    ServiceResponse<Void> doHandlerMaterialOneStaffReportMQ(String params);

    /**
     * 销售线索 通知job
     * @param params
     * @return
     */
    ServiceResponse<Void> potentialCustomerJob(String params);

    /**
     * 记录会员订单为数组
     *  当前只处理了微盟
     * @param params
     * @return
     */
    ServiceResponse<Void> recordMemberOrderForData(String params);
}
